<?php

/**
 * @file
 * diff_different.admin.inc
 */

/**
 * Global admin settings form.
 *
 * @param array $form
 * @param array $form_state
 *
 * @return array $form
 */
function diff_different_admin_settings($form, $form_state) {
  $form['diff_different_content_types'] = array(
    '#type' => 'checkboxes',
    '#title' => t('Enabled content types'),
    '#default_value' => variable_get('diff_different_content_types', array()),
    '#options' => node_type_get_names(),
    '#description' => t('Apply the <em>Diff Different</em> display style of the full page view to the selected content types.'),
  );
  $form['diff_different_revision_scenario'] = array(
    '#type' => 'radios',
    '#title' => t("Which pair of revisions should be <em>diffed</em>?"),
    '#default_value' => (int)variable_get('diff_different_revision_scenario'),
    '#options' => array(
      0 => t('Latest author revision on the left, latest editor revision after that on the right'),
      1 => t('Very last revision on the right, revision before that on the left')
    ),
    '#description' => t('The first option only applies when two or more users have edited the same node. The second option does not care who made the changes.'),
  );
  $form['diff_different_relative_weight'] = array(
    '#type' => 'select',
    '#title' => t('Position on the page of the <em>diff</em> side-by-side comparison'),
    '#default_value' => variable_get('diff_different_relative_weight', 0),
    '#options' => array(
      0 => t('Below the content body'),
      -1 => t('Above the content body'),
    ),
    '#description' => t(''),
  );
  return system_settings_form($form);
}
